Summary:	Qt implementation of the DBusMenu spec
Name:		libdbusmenu-qt
Version:	0.9.3
Release:	%mkrel 1
Source0:	http://launchpad.net/libdbusmenu-qt/trunk/%{version}/+download/%{name}-%{version}-20150604bzr.tar.xz
License:	GPLv2
Group:		System/Libraries
URL:		https://launchpad.net/libdbusmenu-qt

BuildRequires:  kde4-macros
BuildRequires:	%{_lib}qjson-devel
BuildRequires:	%{_lib}qt4-devel

BuildRequires:	cmake
BuildRequires:	doxygen

BuildRequires:  qtbase5-devel
BuildRequires:  kf5-macros

%description
This library provides a Qt implementation of the DBusMenu spec.

#-----------------------------------------------------------------------

%define libname_major 2
%define libname %mklibname dbusmenu-qt %{libname_major}

%package -n	%{libname}
Summary:	Qt implementation of the DBUSMenu Spec
Group:		System/Libraries

%description -n	%{libname}
Qt implementation of the DBUSMenu Spec


%files -n %{libname}
%{_libdir}/libdbusmenu-qt.so.%{libname_major}*

#--------------------------------------------------------------------

%define dbusmenuqt5_major 2
%define libdbusmenuqt5 %mklibname dbusmenuqt5_ %{dbusmenuqt5_major}

%package -n %libdbusmenuqt5
Summary:      A Qt implementation of the DBusMenu protocol (Qt5 version)
Group:        System/Libraries
Requires:     nss_mdns
Obsoletes:   %{_lib}dbusmenuqt52
Provides:    %{_lib}dbusmenuqt52 = %version

%description -n %libdbusmenuqt5
This library provides a Qt implementation of the DBusMenu protocol.

The DBusMenu protocol makes it possible for applications to export and import
their menus over DBus.

%files -n %libdbusmenuqt5
%{_kf5_libdir}/libdbusmenu-qt5.so.%{dbusmenuqt5_major}*

#--------------------------------------------------------------------

%define dbusmenuqt5_devel %mklibname dbusmenuqt5 -d

%package   -n   %dbusmenuqt5_devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libdbusmenuqt5} = %{version}-%{release}
Provides:       %{name}5-devel = %{version}-%{release}
Provides:       dbusmenu-qt5-devel = %{version}-%{release}

%description -n   %dbusmenuqt5_devel
%{summary}.

%files -n   %dbusmenuqt5_devel
%{_includedir}/dbusmenu-qt5/
%{_kf5_libdir}/libdbusmenu-qt5.so
%{_kf5_libdir}/pkgconfig/dbusmenu-qt5.pc
%{_kf5_libdir}/cmake/dbusmenu-qt5/

#--------------------------------------------------------------------

%define develname %mklibname dbusmenu-qt -d

%package -n	%{develname}
Summary:	Library headers for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n	%{develname}
%{_libdir}/libdbusmenu-qt.so
%{_includedir}/dbusmenu-qt/
%{_libdir}/pkgconfig/dbusmenu-qt.pc
%{_kde_libdir}/cmake/dbusmenu-qt
%doc %{_datadir}/doc/libdbusmenu-qt-doc

#-----------------------------------------------------------------------

%prep
%setup -q 

%build
mkdir %name-qt4
pushd %name-qt4
%cmake_qt4 ../.. \
  -DUSE_QT4:BOOL=ON \
  -DUSE_QT5:BOOL=OFF \
  -DWITH_DOC:BOOL=ON
%make
popd

mkdir %name-qt5
pushd %name-qt5
%cmake_kf5 ../.. \
  -DUSE_QT4:BOOL=OFF \
  -DUSE_QT5:BOOL=ON \
  -DWITH_DOC:BOOL=OFF

%make
popd

%install
rm -rf %buildroot
pushd %name-qt4
	%make_install -C build
popd

pushd %name-qt5
	%make_install -C build 
popd


%changelog
* Fri Mar 25 2016 bb <bb> 0.9.3-1pclos2016
- update 20150604bzr
